Page MenuHomePhabricator

[LoopVectorize] Split out RuntimePointerCheck from LoopVectorizationLegality
ClosedPublic

Authored by anemet on Jan 29 2015, 4:46 PM.

Details

Summary

RuntimePointerCheck will be used through LoopAccessAnalysis in
LoopVectorizationLegality.

NFC. This is part of the patchset that splits out the memory dependence logic
from LoopVectorizationLegality into a new class LoopAccessAnalysis.
LoopAccessAnalysis will be used by the new Loop Distribution pass.

Diff Detail

Event Timeline

anemet updated this revision to Diff 19008.Jan 29 2015, 4:46 PM
anemet retitled this revision from to [LoopVectorize] Split out RuntimePointerCheck from LoopVectorizationLegality.
anemet updated this object.
anemet edited the test plan for this revision. (Show Details)
anemet added reviewers: hfinkel, aschwaighofer.
anemet added a subscriber: Unknown Object (MLST).
hfinkel edited edge metadata.Jan 30 2015, 4:55 AM

Where is this going to end up eventually? Making it a global type seems odd. Do you want to put it into an anonymous namespace?

anemet updated this revision to Diff 19080.Jan 30 2015, 11:23 PM
anemet edited edge metadata.

Address Hal's comments

hfinkel accepted this revision.Jan 30 2015, 11:30 PM
hfinkel edited edge metadata.

LGTM.

This revision is now accepted and ready to land.Jan 30 2015, 11:30 PM
anemet closed this revision.Feb 2 2015, 12:00 PM

r227747